--- old/usr/src/uts/common/fs/zfs/sys/zil.h	2014-10-31 10:14:52.189731891 +0100
+++ new/usr/src/uts/common/fs/zfs/sys/zil.h	2014-10-31 10:14:52.194749901 +0100
@@ -32,6 +32,8 @@
 #include <sys/spa.h>
 #include <sys/zio.h>
 #include <sys/dmu.h>
+#include <sys/dsl_pool.h>
+#include <sys/dsl_dataset.h>
 
 #ifdef	__cplusplus
 extern "C" {
@@ -405,8 +407,9 @@
 extern void	zil_commit(zilog_t *zilog, uint64_t oid);
 
 extern int	zil_vdev_offline(const char *osname, void *txarg);
-extern int	zil_claim(const char *osname, void *txarg);
-extern int	zil_check_log_chain(const char *osname, void *txarg);
+extern int	zil_claim(dsl_pool_t *dp, dsl_dataset_t *ds, void *txarg);
+extern int 	zil_check_log_chain(dsl_pool_t *dp, dsl_dataset_t *ds,
+    void *tx);
 extern void	zil_sync(zilog_t *zilog, dmu_tx_t *tx);
 extern void	zil_clean(zilog_t *zilog, uint64_t synced_txg);
 
